// email-verify.js
// Copyright (C) 2021 Digital Telepresence, LLC
// License: Apache-2.0

'use strict';

const mongoose = require('mongoose');

const Schema = mongoose.Schema;

const EmailVerifySchema = new Schema({
  created: { type: Date, default: Date.now, required: true, index: -1, expires: '30d' },
  verified: { type: Date },
  user: { type: Schema.ObjectId, required: true, index: 1, ref: 'User' },
  token: { type: String, required: true },
});

module.exports = mongoose.model('EmailVerify', EmailVerifySchema);